# $Revision: 1.1 $, $Date: 2012/01/25 22:44:47 $
%define		pkg	node-uuid
Summary:	RFC4122v4 UUID generator for Node.js
Name:		nodejs-%{pkg}
Version:	1.3.3
Release:	1
License:	MIT or GPL+
Group:		Development/Libraries
URL:		https://github.com/broofa/node-uuid
Source0:	http://registry.npmjs.org/node-uuid/-/%{pkg}-%{version}.tgz
# Source0-md5:	d0a587ef1e9e1ca82d526c3322720690
BuildRequires:	rpmbuild(macros) >= 1.634
Requires:	nodejs
Obsoletes:	nodejs-uuid < 1.2.0-2
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Simple, fast generation of RFC4122v4 and non-RFC compact UUIDs. It
runs in node.js and many browsers.

%prep
%setup -qc
mv package/* .

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{nodejs_libdir}/%{pkg}
cp -p uuid.js package.json $RPM_BUILD_ROOT%{nodejs_libdir}/%{pkg}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md LICENSE.md
%{nodejs_libdir}/%{pkg}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: nodejs-node-uuid.spec,v $
Revision 1.1  2012/01/25 22:44:47  glen
- initial node pkgs for npm deps
  based on specs from http://nodejs.tchol.org/ repo
